about summary refs log tree commit diff
path: root/editor
diff options
context:
space:
mode:
Diffstat (limited to 'editor')
-rwxr-xr-xeditor/pnmmargin2
-rw-r--r--editor/pnmnorm.c2
2 files changed, 2 insertions, 2 deletions
diff --git a/editor/pnmmargin b/editor/pnmmargin
index 9dbe24b7..1b5370be 100755
--- a/editor/pnmmargin
+++ b/editor/pnmmargin
@@ -12,7 +12,7 @@
 # implied warranty.
 
 tempdir=$(mktemp -d "${TMPDIR:-/tmp}/netpbm.XXXXXXXX") ||
-    ( echo "Could not create temporary file. Exiting." 1>&2; exit 1; ) 
+    { echo "Could not create temporary file. Exiting." 1>&2; exit 1; }
 trap 'rm -rf $tempdir' 0 1 3 15
 
 tmp1=$tempdir/pnmm1
diff --git a/editor/pnmnorm.c b/editor/pnmnorm.c
index 2f9a6b20..3a181bf3 100644
--- a/editor/pnmnorm.c
+++ b/editor/pnmnorm.c
@@ -485,7 +485,7 @@ disOverlap(xelval   const reqBvalue,
             }
         } else {
             /* Both ends are free; use the point halfway between them. */
-            xelval const midPoint = (reqWvalue + reqBvalue + maxval/2)/2;
+            xelval const midPoint = (reqWvalue + reqBvalue)/2;
             *nonOlapBvalueP = MIN(midPoint, maxval-1);
             *nonOlapWvalueP = *nonOlapBvalueP + 1;
         }